Fetch next key

- « dba_list

- dba_open »

- PHP Manual
- DBA Functions
- Fetch next key

# dba_nextkey

(PHP 4, PHP 5, PHP 7, PHP 8)

dba_nextkey — Fetch next key

### Description

dba_nextkey(resource `$dba`): string|false

dba_nextkey() returns the next key of the database and advances the internal key pointer.

### Parameters

`dba`

  The database handler, returned by dba_open() or dba_popen().

### Return Values

Returns the key on success or `false` on failure.

### See Also

- dba_firstkey() - Fetch first key
- dba_key_split() - Splits a key in string representation into array representation
- Example 2 in the DBA examples